GenericBeanFactoryAccessor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.beans.factory
[Java] Class GenericBeanFactoryAccessor

    java.lang.Object
      org.codehaus.groovy.grails.beans.factory.GenericBeanFactoryAccessor

    public class GenericBeanFactoryAccessor
    extends java.lang.Object

A fork of the Spring 2.5.6 GenericBeanFactoryAccess class that was removed from Spring 3.0.

Authors:
  Rob Harrop
  Juergen Hoeller

Since:
  2.0

Constructor Summary
`GenericBeanFactoryAccessor(org.springframework.beans.factory.ListableBeanFactory beanFactory)` Constructs a `GenericBeanFactoryAccessor` that wraps the supplied org.springframework.beans.factory.ListableBeanFactory.

Method Summary
`A` | `findAnnotationOnBean(java.lang.String beanName, java.lang.Class annotationType)` Find a java.lang.annotation.Annotation of `annotationType` on the specified bean, traversing its interfaces and super classes if no annotation can be found on the given class itself, as well as checking its raw bean class if not found on the exposed bean reference (e.g. in case of a proxy).
`java.lang.Object` | `getBean(java.lang.String name)` @see org.springframework.beans.factory.BeanFactory#getBean(String)
`java.lang.Object` | `getBean(java.lang.String name, java.lang.Class requiredType)` @see org.springframework.beans.factory.BeanFactory#getBean(String, Class)
`org.springframework.beans.factory.ListableBeanFactory` | `getBeanFactory()` Return the wrapped org.springframework.beans.factory.ListableBeanFactory.
`java.util.Map` | `getBeansOfType(java.lang.Class type)` @see ListableBeanFactory#getBeansOfType(Class)
`java.util.Map` | `getBeansOfType(java.lang.Class type, boolean includeNonSingletons, boolean allowEagerInit)` @see ListableBeanFactory#getBeansOfType(Class, boolean, boolean)
`java.util.Map` | `getBeansWithAnnotation(java.lang.Class annotationType)` Find all beans whose `Class` has the supplied java.lang.annotation.Annotation type.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GenericBeanFactoryAccessor

    public GenericBeanFactoryAccessor(org.springframework.beans.factory.ListableBeanFactory beanFactory)

  Constructs a `GenericBeanFactoryAccessor` that wraps the supplied org.springframework.beans.factory.ListableBeanFactory.

Method Detail

### findAnnotationOnBean

    public A findAnnotationOnBean(java.lang.String beanName, java.lang.Class annotationType)

  Find a java.lang.annotation.Annotation of `annotationType` on the specified bean, traversing its interfaces and super classes if no annotation can be found on the given class itself, as well as checking its raw bean class if not found on the exposed bean reference (e.g. in case of a proxy).
  Parameters:
    `beanName` - the name of the bean to look for annotations on
    `annotationType` - the annotation class to look for
  Returns:
    the annotation of the given type found, or `null`
  See Also:
    org.springframework.core.annotation.AnnotationUtils#findAnnotation(Class, Class)

### getBean

    @java.lang.SuppressWarnings("unchecked")
    public java.lang.Object getBean(java.lang.String name)

  See Also:
    org.springframework.beans.factory.BeanFactory#getBean(String)

### getBean

    public java.lang.Object getBean(java.lang.String name, java.lang.Class requiredType)

  See Also:
    org.springframework.beans.factory.BeanFactory#getBean(String, Class)

### getBeanFactory

    public final org.springframework.beans.factory.ListableBeanFactory getBeanFactory()

  Return the wrapped org.springframework.beans.factory.ListableBeanFactory.

### getBeansOfType

    public java.util.Map getBeansOfType(java.lang.Class type)

  See Also:
    org.springframework.beans.factory.ListableBeanFactory#getBeansOfType(java.lang.Class)

### getBeansOfType

    public java.util.Map getBeansOfType(java.lang.Class type, boolean includeNonSingletons, boolean allowEagerInit)

  See Also:
    org.springframework.beans.factory.ListableBeanFactory#getBeansOfType(java.lang.Class, boolean, boolean)

### getBeansWithAnnotation

    public java.util.Map getBeansWithAnnotation(java.lang.Class annotationType)

  Find all beans whose `Class` has the supplied java.lang.annotation.Annotation type.
  Parameters:
    `annotationType` - the type of annotation to look for
  Returns:
    a Map with the matching beans, containing the bean names as keys and the corresponding bean instances as values

Groovy Documentation